Subject: Re: bug#77823: 31.0.50; M-j regression since commit 4c6b1712a4d
From: Sean Whitton <[email-masked]>
To: Elijah Gabe Pérez <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked], Stefan Monnier <[email-masked]>
Date: Wed, 23 Apr 2025 11:56:20 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

On Tue 22 Apr 2025 at 09:47pm -06, Elijah Gabe Pérez wrote:

> Sean Whitton writes:
>
>  ISTM that a combination of the suggestions from Juri and Stefan would
>  work well.  It would be great if you could expand the functionality of
>  electric-pair-mode to handle these cases.
>
> Yeah, at least support strings and specify if a paren should be expanded after a space (for do not
> conflict with others parens)(?), I will work on that, at this point it would be to make it similar to
> smartparens.

I'm not really familiar with smartparens but those seem like relevant
considerations.

> Ofc, some built-in major modes should set which parens to use.

Right.

I'll close this bug since the regression is fixed.  You could post your
new patch to a new bug, perhaps.

-- 
Sean Whitton